Skip to main content
GET
/
orders
/
tx
/
{tx_hash}
Fetch order details using creation transaction hash
curl --request GET \
  --url https://sandbox.elementpay.net/orders/tx/{tx_hash} \
  --header 'X-API-Key: <api-key>'
{
  "status": "success",
  "message": "Order fetched successfully",
  "data": {
    "order_id": "95531bef5c8a3997d61f672193b73c458455b3d1649f37ec356e9db45676bc3c",
    "status": "PENDING",
    "amount_fiat": 10,
    "currency": "KES",
    "amount_crypto": 0.07536,
    "exchange_rate": 132.6965,
    "token": "BASE_USDC(Testnet)",
    "wallet_address": "0x4f07419e6bfccf8d256e8ef803cc2653dfbb9558",
    "order_type": "OnRamp",
    "phone_number": "254712531490",
    "creation_transaction_hash": "c69b5efb9852adcad851b8a7d778f922151a655d3cf04ebbc239202423bac6e6",
    "created_at": "2025-08-13T04:38:34.976000"
  }
}
Fetch an order by its creation transaction hash (on-chain createOrder tx). Auth & Scope
  • Developer keys are scoped to their own orders only.
Notes
  • Single-item lookup (no pagination).
  • Use /orders/me for listing.

Authorizations

X-API-Key
string
header
required

Path Parameters

tx_hash
string
required

Creation transaction hash returned by POST /orders/create. Use this hash to fetch the order via GET /orders/tx/{tx_hash}.

Response

Order found